Package com.microblink.blinkid.entities.recognizers.blinkid.idbarcode

# Class IdBarcodeRecognizer

java.lang.Object
com.microblink.blinkid.entities.Entity<T>
com.microblink.blinkid.entities.recognizers.Recognizer<IdBarcodeRecognizer.Result>
com.microblink.blinkid.entities.recognizers.blinkid.idbarcode.IdBarcodeRecognizer

All Implemented Interfaces:
  `android.os.Parcelable`, `JsonizableEntity`

@Deprecated public final class IdBarcodeRecognizer extends Recognizer<IdBarcodeRecognizer.Result>
Deprecated.
The ID Barcode Recognizer is used for scanning ID Barcode.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `IdBarcodeRecognizer.Result`
  Deprecated.

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<IdBarcodeRecognizer>`
  `CREATOR`
  Deprecated.

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdBarcodeRecognizer()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdBarcodeRecognizer`
  `clone()`
  Deprecated.
  Create a copy of the entity.
  `void`
  `consumeResultFrom(Entity other)`
  Deprecated.
  Consume result from other entity.
  `protected void`
  `deserializeNativeSettings(byte[] serializedSettings)`
  Deprecated.
  `protected byte[]`
  `serializeNativeSettings()`
  Deprecated.
  `protected void`
  `terminateNative(long nativeContext)`
  Deprecated.

  ### Methods inherited from class com.microblink.blinkid.entities.recognizers.Recognizer

  `getName, isExcludedFromPing, requiresAutofocus, requiresLandscapeMode, signedJsonNativeGet, toSignedJson`

  ### Methods inherited from class com.microblink.blinkid.entities.Entity

  `describeContents, finalize, getNativeContext, getResult, nativeGetNativeResultContext, readFromParcel, writeToParcel`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final android.os.Parcelable.Creator<IdBarcodeRecognizer> CREATOR
    Deprecated.

- ## Constructor Details

  - ### IdBarcodeRecognizer

    public IdBarcodeRecognizer()
    Deprecated.

- ## Method Details

  - ### terminateNative

    protected void terminateNative(long nativeContext)
    Deprecated.
    Specified by:
      `terminateNative` in class `Entity<IdBarcodeRecognizer.Result>`

  - ### serializeNativeSettings

    @Nullable protected byte[] serializeNativeSettings()
    Deprecated.
    Specified by:
      `serializeNativeSettings` in class `Entity<IdBarcodeRecognizer.Result>`

  - ### deserializeNativeSettings

    protected void deserializeNativeSettings(@NonNull byte[] serializedSettings)
    Deprecated.
    Specified by:
      `deserializeNativeSettings` in class `Entity<IdBarcodeRecognizer.Result>`

  - ### clone

    public IdBarcodeRecognizer clone()
    Deprecated.
    Description copied from class: `Entity`
    Create a copy of the entity. This is required if properties of the entity must be modified while background thread performs processing. In order to avoid race conditions, changing properties is not allowed while entity is used in background processing. However, you are able to make a copy of the entity, change properties of it and then update the `RecognizerRunnerView` or `RecognizerRunner` with the updated entity hierarchy.
    Specified by:
      `clone` in class `Recognizer<IdBarcodeRecognizer.Result>`
    Returns:
      a copy of the entity

  - ### consumeResultFrom

    public void consumeResultFrom(@NonNull Entity other)
    Deprecated.
    Description copied from class: `Entity`
    Consume result from other entity. The result from other will be put instead current result of this entity. This method is used inside `BaseIntentTransferable.loadFromIntent(Intent)` and similar methods to replace the result content of the saved entities with results that have arrived over `Intent`
    Specified by:
      `consumeResultFrom` in class `Entity<IdBarcodeRecognizer.Result>`
    Parameters:
      `other` - Entity from which result should be consumed.